## r-cran-seriation 1.2

=== DESCRIPTION ===
Package: seriation
Type: Package
Title: Infrastructure for Ordering Objects Using Seriation
Version: 1.2-8
Date: 2019-08-27
Authors@R: c(
	person("Michael", "Hahsler", role = c("aut", "cre", "cph"),
	    email = "mhahsler@lyle.smu.edu"),
	person("Christian", "Buchta", role = c("aut", "cph")),
	person("Kurt", "Hornik", role = c("aut", "cph")),
	person("Fionn", "Murtagh", role = c("ctb", "cph")),
	person("Michael", "Brusco", role = c("ctb", "cph")),
	person("Stephanie", "Stahl", role = c("ctb", "cph")),
	person("Hans-Friedrich", "Koehn", role = c("ctb", "cph")))
Description: Infrastructure for ordering objects with an implementation of several
    seriation/sequencing/ordination techniques to reorder matrices, dissimilarity
    matrices, and dendrograms. Also provides (optimally) reordered heatmaps,
    color images and clustering visualizations like dissimilarity plots, and
    visual assessment of cluster tendency plots (VAT and iVAT).
Classification/ACM: G.1.6, G.2.1, G.4
URL: https://github.com/mhahsler/seriation
BugReports: https://github.com/mhahsler/seriation/issues
Depends: R (>= 2.14.0)
Imports: TSP, qap, grid, cluster, gclus, dendextend, colorspace, MASS,
        gplots, registry, methods, stats, grDevices
Suggests: biclust, testthat, DendSer, GA
License: GPL-3
Copyright: The code in src/bea.f is Copyright (C) 1991 F. Murtagh;
        src/bbwrcg.f, src/arsa.f and src/bburcg.f are Copyright (C)
        2005 M. Brusco, H.F. Koehn, and S. Stahl. All other code is
        Copyright (C) Michael Hahsler, Christian Buchta, and Kurt
        Hornik.
NeedsCompilation: yes
Packaged: 2019-08-27 17:04:01 UTC; hahsler
Author: Michael Hahsler [aut, cre, cph],
  Christian Buchta [aut, cph],
  Kurt Hornik [aut, cph],
  Fionn Murtagh [ctb, cph],
  Michael Brusco [ctb, cph],
  Stephanie Stahl [ctb, cph],
  Hans-Friedrich Koehn [ctb, cph]
Maintainer: Michael Hahsler <mhahsler@lyle.smu.edu>
Repository: CRAN
Date/Publication: 2019-08-27 17:50:02 UTC

## r-cran-seriation 1.2-3

=== debian/changelog ===
r-cran-seriation (1.2-3-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Additional (Build-)Depends: r-cran-gridextra

 -- Andreas Tille <tille@debian.org>  Wed, 15 Aug 2018 07:34:08 +0200

r-cran-seriation (1.2-3-1) unstable; urgency=medium

  * Initial release (closes: #905644)

 -- Andreas Tille <tille@debian.org>  Tue, 07 Aug 2018 16:48:29 +0200

=== debian/control ===
Source: r-cran-seriation
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-tsp,
               r-cran-qap,
               r-cran-cluster,
               r-cran-gclus,
               r-cran-dendextend,
               r-cran-colorspace,
               r-cran-mass,
               r-cran-gplots,
               r-cran-registry,
               r-cran-gridextra
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-seriation
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-seriation.git
Homepage: https://cran.r-project.org/package=seriation

Package: r-cran-seriation
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         r-cran-gridextra
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R infrastructure for ordering objects using seriation
 Infrastructure for seriation with an implementation of several
 seriation/sequencing techniques to reorder matrices, dissimilarity
 matrices, and dendrograms. Also provides (optimally) reordered heatmaps,
 color images and clustering visualizations like dissimilarity plots, and
 visual assessment of cluster tendency plots (VAT and iVAT).

## r-cran-seriation 1.2-7

=== debian/changelog ===
r-cran-seriation (1.2-7-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * rename debian/tests/control.autodep8 to debian/tests/control

 -- Andreas Tille <tille@debian.org>  Wed, 10 Jul 2019 20:53:44 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-tsp,
@@ -15,9 +15,8 @@
                r-cran-colorspace,
                r-cran-mass,
                r-cran-gplots,
-               r-cran-registry,
-               r-cran-gridextra
-Standards-Version: 4.1.5
+               r-cran-registry
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-seriation
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-seriation.git
 Homepage: https://cran.r-project.org/package=seriation
@@ -26,8 +25,7 @@
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends},
-         r-cran-gridextra
+         ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: GNU R infrastructure for ordering objects using seriation

## r-cran-seriation 1.2-8

=== debian/changelog ===
r-cran-seriation (1.2-8-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Repository.

 -- Andreas Tille <tille@debian.org>  Tue, 10 Sep 2019 16:56:49 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-tsp,
@@ -16,7 +16,7 @@
                r-cran-mass,
                r-cran-gplots,
                r-cran-registry
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-seriation
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-seriation.git
 Homepage: https://cran.r-project.org/package=seriation

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/seriation_([-\d.]*)\.tar\.gz

## r-cran-seriation 1.2-9

=== debian/changelog ===
r-cran-seriation (1.2-9-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Tue, 06 Oct 2020 15:13:33 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-tsp,
@@ -16,10 +16,11 @@
                r-cran-mass,
                r-cran-gplots,
                r-cran-registry
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-seriation
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-seriation.git
 Homepage: https://cran.r-project.org/package=seriation
+Rules-Requires-Root: no
 
 Package: r-cran-seriation
 Architecture: any

## r-cran-seriation 1.3.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: seriation
 Type: Package
 Title: Infrastructure for Ordering Objects Using Seriation
-Version: 1.2-8
-Date: 2019-08-27
+Version: 1.3.2
+Date: 2022-02-10
 Authors@R: c(
 	person("Michael", "Hahsler", role = c("aut", "cre", "cph"),
 	    email = "mhahsler@lyle.smu.edu"),
@@ -16,14 +16,15 @@
     seriation/sequencing/ordination techniques to reorder matrices, dissimilarity
     matrices, and dendrograms. Also provides (optimally) reordered heatmaps,
     color images and clustering visualizations like dissimilarity plots, and
-    visual assessment of cluster tendency plots (VAT and iVAT).
+    visual assessment of cluster tendency plots (VAT and iVAT). Hahsler et al (2008) <doi:10.18637/jss.v025.i03>.
 Classification/ACM: G.1.6, G.2.1, G.4
 URL: https://github.com/mhahsler/seriation
 BugReports: https://github.com/mhahsler/seriation/issues
 Depends: R (>= 2.14.0)
-Imports: TSP, qap, grid, cluster, gclus, dendextend, colorspace, MASS,
-        gplots, registry, methods, stats, grDevices
-Suggests: biclust, testthat, DendSer, GA
+Imports: stats, grDevices, grid, TSP, qap, cluster, gclus, colorspace,
+        MASS, registry
+Suggests: DendSer, GA, Rtsne, dbscan, umap, testthat, dendextend,
+        ggplot2, scales
 License: GPL-3
 Copyright: The code in src/bea.f is Copyright (C) 1991 F. Murtagh;
         src/bbwrcg.f, src/arsa.f and src/bburcg.f are Copyright (C)
@@ -31,7 +32,7 @@
         Copyright (C) Michael Hahsler, Christian Buchta, and Kurt
         Hornik.
 NeedsCompilation: yes
-Packaged: 2019-08-27 17:04:01 UTC; hahsler
+Packaged: 2022-02-10 16:44:11 UTC; hahsler
 Author: Michael Hahsler [aut, cre, cph],
   Christian Buchta [aut, cph],
   Kurt Hornik [aut, cph],
@@ -41,4 +42,4 @@
   Hans-Friedrich Koehn [ctb, cph]
 Maintainer: Michael Hahsler <mhahsler@lyle.smu.edu>
 Repository: CRAN
-Date/Publication: 2019-08-27 17:50:02 UTC
+Date/Publication: 2022-02-10 18:20:02 UTC

=== debian/changelog ===
r-cran-seriation (1.3.2-1) unstable; urgency=medium

  * New upstream version
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 13 Feb 2022 08:14:12 +0100

r-cran-seriation (1.3.1-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Disable reprotest

  [ Nilesh Patra ]
  * New upstream version 1.3.1

 -- Nilesh Patra <nilesh@debian.org>  Mon, 18 Oct 2021 19:30:31 +0000

r-cran-seriation (1.3.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Test-Depends: r-cran-dendextend

 -- Andreas Tille <tille@debian.org>  Thu, 26 Aug 2021 18:54:09 +0200

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,10 @@
                r-cran-qap,
                r-cran-cluster,
                r-cran-gclus,
-               r-cran-dendextend,
                r-cran-colorspace,
                r-cran-mass,
-               r-cran-gplots,
                r-cran-registry
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-seriation
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-seriation.git
 Homepage: https://cran.r-project.org/package=seriation

## r-cran-seriation 1.3.6

=== debian/changelog ===
r-cran-seriation (1.3.6-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 20 Jul 2022 17:28:31 +0200

r-cran-seriation (1.3.5-1) unstable; urgency=medium

  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 29 Mar 2022 18:52:29 +0200

r-cran-seriation (1.3.3-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 11 Mar 2022 09:54:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-cran-seriation
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-seriation
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-seriation.git
+Homepage: https://cran.r-project.org/package=seriation
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -14,11 +18,7 @@
                r-cran-colorspace,
                r-cran-mass,
                r-cran-registry
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-seriation
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-seriation.git
-Homepage: https://cran.r-project.org/package=seriation
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-seriation
 Architecture: any

## r-cran-seriation 1.4.0

=== debian/changelog ===
r-cran-seriation (1.4.0-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 02 Nov 2022 14:26:54 +0100

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
                r-cran-gclus,
                r-cran-colorspace,
                r-cran-mass,
+               r-cran-ca,
                r-cran-registry
 Testsuite: autopkgtest-pkg-r

## r-cran-seriation 1.4.1

=== DESCRIPTION ===
Package: seriation
Type: Package
Title: Infrastructure for Ordering Objects Using Seriation
Version: 1.4.1
Date: 2022-12-27
Authors@R: c(
	person("Michael", "Hahsler", role = c("aut", "cre", "cph"),
		email = "mhahsler@lyle.smu.edu",
		comment = c(ORCID = "0000-0003-2716-1405")),
	person("Christian", "Buchta", role = c("aut", "cph")),
	person("Kurt", "Hornik", role = c("aut", "cph")),
	person("David", "Barnett", role = c("ctb")),
	person("Michael", "Brusco", role = c("ctb", "cph")),
	person("Michael", "Friendly", role = c("ctb")),
	person("Hans-Friedrich", "Koehn", role = c("ctb", "cph")),
	person("Fionn", "Murtagh", role = c("ctb", "cph")),
	person("Stephanie", "Stahl", role = c("ctb", "cph")))
Description: Infrastructure for ordering objects with an implementation of several
    seriation/sequencing/ordination techniques to reorder matrices, dissimilarity
    matrices, and dendrograms. Also provides (optimally) reordered heatmaps,
    color images and clustering visualizations like dissimilarity plots, and
    visual assessment of cluster tendency plots (VAT and iVAT). Hahsler et al (2008) <doi:10.18637/jss.v025.i03>.
Classification/ACM: G.1.6, G.2.1, G.4
URL: https://github.com/mhahsler/seriation
BugReports: https://github.com/mhahsler/seriation/issues
Depends: R (>= 2.14.0)
Imports: stats, grDevices, grid, TSP, qap, cluster, gclus, colorspace,
        MASS, ca, registry
Suggests: DendSer, GA, Rtsne, dbscan, umap, testthat, dendextend,
        ggplot2, scales
Encoding: UTF-8
RoxygenNote: 7.2.3
License: GPL-3
Copyright: The code in src/bea.f is Copyright (C) 1991 F. Murtagh;
        src/bbwrcg.f, src/arsa.f and src/bburcg.f are Copyright (C)
        2005 M. Brusco, H.F. Koehn, and S. Stahl. All other code is
        Copyright (C) Michael Hahsler, Christian Buchta, and Kurt
        Hornik.
Collate: 'AAA_check_installed.R' 'AAA_color_palette.R' 'AAA_map.R'
        'AAA_parameters.R' 'AAA_registry_criterion.R'
        'AAA_registry_seriate.R' 'AAA_seriation-package.R'
        'Chameleon.R' 'Irish.R' 'Munsingen.R' 'Psych24.R'
        'SupremeCourt.R' 'Townships.R' 'VAT.R' 'Wood.R' 'Zoo.R' 'bea.R'
        'bertinplot.R' 'criterion.R' 'criterion.array.R'
        'criterion.dist.R' 'criterion.matrix.R' 'dissplot.R'
        'get_order.R' 'ggVAT.R' 'ggbertinplot.R' 'ggdissplot.R'
        'hmap.R' 'gghmap.R' 'pimage.R' 'ggpimage.R' 'grid_helpers.R'
        'hclust_greedy.R' 'lines_and_ordered_data.R' 'permute.R'
        'register_DendSer.R' 'register_GA.R' 'register_optics.R'
        'register_tsne.R' 'register_umap.R' 'reorder.hclust.R'
        'robinson.R' 'ser_dist.R' 'ser_permutation.R'
        'ser_permutation_vector.R' 'ser_permutation_vector2matrix.R'
        'seriate.R' 'seriate.array.R' 'seriate.data.frame.R'
        'seriate.dist.R' 'seriate.matrix.R' 'seriate.table.R'
        'seriate_ARSA_Branch-Bound.R' 'seriate_BEA.R' 'seriate_CA.R'
        'seriate_HC.R' 'seriate_MDS.R' 'seriate_PCA.R' 'seriate_QAP.R'
        'seriate_R2E.R' 'seriate_SA.R' 'seriate_SPIN.R' 'seriate_TSP.R'
        'seriate_VAT.R' 'seriate_heatmap.R' 'seriate_spectral.R'
        'uniscale.R'
NeedsCompilation: yes
Packaged: 2022-12-27 16:32:45 UTC; hahsler
Author: Michael Hahsler [aut, cre, cph]
    (<https://orcid.org/0000-0003-2716-1405>),
  Christian Buchta [aut, cph],
  Kurt Hornik [aut, cph],
  David Barnett [ctb],
  Michael Brusco [ctb, cph],
  Michael Friendly [ctb],
  Hans-Friedrich Koehn [ctb, cph],
  Fionn Murtagh [ctb, cph],
  Stephanie Stahl [ctb, cph]
Maintainer: Michael Hahsler <mhahsler@lyle.smu.edu>
Repository: CRAN
Date/Publication: 2023-01-07 15:30:02 UTC

=== debian/changelog ===
r-cran-seriation (1.4.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 13 Jan 2023 09:41:50 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-seriation
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-seriation.git
 Homepage: https://cran.r-project.org/package=seriation
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-dendextend
Restrictions: allow-stderr

## r-cran-seriation 1.4.2

=== debian/changelog ===
r-cran-seriation (1.4.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 27 Jun 2023 15:52:08 +0200

## r-cran-seriation 1.5.4

=== DESCRIPTION ===
Package: seriation
Type: Package
Title: Infrastructure for Ordering Objects Using Seriation
Version: 1.5.4
Date: 2023-12-11
Authors@R: c(
	person("Michael", "Hahsler", role = c("aut", "cre", "cph"),
	  email = "mhahsler@lyle.smu.edu",
	  comment = c(ORCID = "0000-0003-2716-1405")),
	person("Christian", "Buchta", role = c("aut", "cph")),
	person("Kurt", "Hornik", role = c("aut", "cph"),
	  comment = c(ORCID = "0000-0003-4198-9911")),
	person("David", "Barnett", role = c("ctb")),
	person("Michael", "Brusco", role = c("ctb", "cph")),
	person("Michael", "Friendly", role = c("ctb")),
	person("Hans-Friedrich", "Koehn", role = c("ctb", "cph")),
	person("Fionn", "Murtagh", role = c("ctb", "cph")),
	person("Stephanie", "Stahl", role = c("ctb", "cph")))
Description: Infrastructure for ordering objects with an implementation of several
    seriation/sequencing/ordination techniques to reorder matrices, dissimilarity
    matrices, and dendrograms. Also provides (optimally) reordered heatmaps,
    color images and clustering visualizations like dissimilarity plots, and
    visual assessment of cluster tendency plots (VAT and iVAT). Hahsler et al (2008) <doi:10.18637/jss.v025.i03>.
Classification/ACM: G.1.6, G.2.1, G.4
URL: https://github.com/mhahsler/seriation
BugReports: https://github.com/mhahsler/seriation/issues
Depends: R (>= 2.14.0)
Imports: ca, cluster, colorspace, foreach, gclus, grDevices, grid,
        MASS, qap, registry, stats, TSP, vegan
Suggests: dbscan, DendSer, dendextend, doParallel, GA, ggplot2, keras,
        Rtsne, scales, smacof, tensorflow, testthat, umap
Encoding: UTF-8
RoxygenNote: 7.2.3
License: GPL-3
Copyright: The code in src/bea.f is Copyright (C) 1991 F. Murtagh;
        src/bbwrcg.f, src/arsa.f and src/bburcg.f are Copyright (C)
        2005 M. Brusco, H.F. Koehn, and S. Stahl. All other code is
        Copyright (C) Michael Hahsler, Christian Buchta, and Kurt
        Hornik.
Collate: 'AAA_check_installed.R' 'AAA_color_palette.R' 'AAA_defaults.R'
        'AAA_map.R' 'AAA_parameters.R' 'AAA_registry_criterion.R'
        'AAA_registry_seriate.R' 'AAA_seriation-package.R'
        'Chameleon.R' 'Irish.R' 'Munsingen.R' 'Psych24.R'
        'SupremeCourt.R' 'Townships.R' 'VAT.R' 'Wood.R' 'Zoo.R' 'bea.R'
        'bertinplot.R' 'criterion.R' 'criterion.array.R'
        'criterion.dist.R' 'criterion.matrix.R' 'dissplot.R'
        'get_order.R' 'ggVAT.R' 'ggbertinplot.R' 'ggdissplot.R'
        'hmap.R' 'gghmap.R' 'pimage.R' 'ggpimage.R' 'grid_helpers.R'
        'lines_and_ordered_data.R' 'lle.R' 'permute.R'
        'register_DendSer.R' 'register_GA.R' 'register_optics.R'
        'register_smacof.R' 'register_tsne.R' 'register_umap.R'
        'reorder.hclust.R' 'robinson.R' 'ser_dist.R'
        'ser_permutation.R' 'ser_permutation_vector.R'
        'ser_permutation_vector2matrix.R' 'seriate.R' 'seriate.dist.R'
        'seriate.matrix.R' 'seriate.array.R' 'seriate.data.frame.R'
        'seriate.table.R' 'seriate_AOE.R' 'seriate_ARSA_Branch-Bound.R'
        'seriate_TSP.R' 'seriate_BEA.R' 'seriate_CA.R' 'seriate_GSA.R'
        'seriate_HC.R' 'seriate_LLE.R' 'seriate_MDS.R' 'seriate_Mean.R'
        'seriate_PCA.R' 'seriate_QAP.R' 'seriate_R2E.R' 'seriate_SGD.R'
        'seriate_SPIN.R' 'seriate_VAT.R' 'seriate_best.R'
        'seriate_enumerate.R' 'seriate_heatmap.R' 'seriate_identity.R'
        'seriate_random.R' 'seriate_reverse.R' 'seriate_spectral.R'
        'seriate_vegan.R' 'uniscale.R'
NeedsCompilation: yes
Packaged: 2023-12-12 00:56:33 UTC; hahsler
Author: Michael Hahsler [aut, cre, cph]
    (<https://orcid.org/0000-0003-2716-1405>),
  Christian Buchta [aut, cph],
  Kurt Hornik [aut, cph] (<https://orcid.org/0000-0003-4198-9911>),
  David Barnett [ctb],
  Michael Brusco [ctb, cph],
  Michael Friendly [ctb],
  Hans-Friedrich Koehn [ctb, cph],
  Fionn Murtagh [ctb, cph],
  Stephanie Stahl [ctb, cph]
Maintainer: Michael Hahsler <mhahsler@lyle.smu.edu>
Repository: CRAN
Date/Publication: 2023-12-12 11:00:02 UTC

=== debian/changelog ===
r-cran-seriation (1.5.4-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jan 2024 09:21:37 +0100

r-cran-seriation (1.5.1-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 28 Aug 2023 15:26:13 +0200

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,16 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
+               r-cran-ca,
+               r-cran-cluster,
+               r-cran-colorspace,
+               r-cran-foreach,
+               r-cran-gclus,
+               r-cran-mass,
+               r-cran-qap,
+               r-cran-registry,
                r-cran-tsp,
-               r-cran-qap,
-               r-cran-cluster,
-               r-cran-gclus,
-               r-cran-colorspace,
-               r-cran-mass,
-               r-cran-ca,
-               r-cran-registry
+               r-cran-vegan
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-seriation

## r-cran-seriation 1.5.5

=== debian/changelog ===
r-cran-seriation (1.5.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 28 Jun 2024 07:33:11 +0900

## r-cran-seriation 1.5.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: seriation
 Type: Package
 Title: Infrastructure for Ordering Objects Using Seriation
-Version: 1.5.4
-Date: 2023-12-11
+Version: 1.5.6
+Date: 2024-08-19
 Authors@R: c(
 	person("Michael", "Hahsler", role = c("aut", "cre", "cph"),
 	  email = "mhahsler@lyle.smu.edu",
@@ -30,18 +30,17 @@
 Suggests: dbscan, DendSer, dendextend, doParallel, GA, ggplot2, keras,
         Rtsne, scales, smacof, tensorflow, testthat, umap
 Encoding: UTF-8
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 License: GPL-3
-Copyright: The code in src/bea.f is Copyright (C) 1991 F. Murtagh;
-        src/bbwrcg.f, src/arsa.f and src/bburcg.f are Copyright (C)
-        2005 M. Brusco, H.F. Koehn, and S. Stahl. All other code is
-        Copyright (C) Michael Hahsler, Christian Buchta, and Kurt
-        Hornik.
+Copyright: The code in src/bbwrcg.f, src/arsa.f and src/bburcg.f are
+        Copyright (C) 2005 M. Brusco, H.F. Koehn, and S. Stahl. All
+        other code is Copyright (C) Michael Hahsler, Christian Buchta,
+        and Kurt Hornik.
 Collate: 'AAA_check_installed.R' 'AAA_color_palette.R' 'AAA_defaults.R'
         'AAA_map.R' 'AAA_parameters.R' 'AAA_registry_criterion.R'
         'AAA_registry_seriate.R' 'AAA_seriation-package.R'
         'Chameleon.R' 'Irish.R' 'Munsingen.R' 'Psych24.R'
-        'SupremeCourt.R' 'Townships.R' 'VAT.R' 'Wood.R' 'Zoo.R' 'bea.R'
+        'SupremeCourt.R' 'Townships.R' 'VAT.R' 'Wood.R' 'Zoo.R'
         'bertinplot.R' 'criterion.R' 'criterion.array.R'
         'criterion.dist.R' 'criterion.matrix.R' 'dissplot.R'
         'get_order.R' 'ggVAT.R' 'ggbertinplot.R' 'ggdissplot.R'
@@ -62,7 +61,7 @@
         'seriate_random.R' 'seriate_reverse.R' 'seriate_spectral.R'
         'seriate_vegan.R' 'uniscale.R'
 NeedsCompilation: yes
-Packaged: 2023-12-12 00:56:33 UTC; hahsler
+Packaged: 2024-08-19 15:46:46 UTC; hahsler
 Author: Michael Hahsler [aut, cre, cph]
     (<https://orcid.org/0000-0003-2716-1405>),
   Christian Buchta [aut, cph],
@@ -75,4 +74,4 @@
   Stephanie Stahl [ctb, cph]
 Maintainer: Michael Hahsler <mhahsler@lyle.smu.edu>
 Repository: CRAN
-Date/Publication: 2023-12-12 11:00:02 UTC
+Date/Publication: 2024-08-19 16:50:02 UTC

=== debian/changelog ===
r-cran-seriation (1.5.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Fri, 04 Oct 2024 08:45:51 +0900

## r-cran-seriation 1.5.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: seriation
 Type: Package
 Title: Infrastructure for Ordering Objects Using Seriation
-Version: 1.5.6
-Date: 2024-08-19
+Version: 1.5.7
+Date: 2024-12-05
 Authors@R: c(
 	person("Michael", "Hahsler", role = c("aut", "cre", "cph"),
 	  email = "mhahsler@lyle.smu.edu",
@@ -53,15 +53,16 @@
         'ser_permutation_vector2matrix.R' 'seriate.R' 'seriate.dist.R'
         'seriate.matrix.R' 'seriate.array.R' 'seriate.data.frame.R'
         'seriate.table.R' 'seriate_AOE.R' 'seriate_ARSA_Branch-Bound.R'
-        'seriate_TSP.R' 'seriate_BEA.R' 'seriate_CA.R' 'seriate_GSA.R'
-        'seriate_HC.R' 'seriate_LLE.R' 'seriate_MDS.R' 'seriate_Mean.R'
-        'seriate_PCA.R' 'seriate_QAP.R' 'seriate_R2E.R' 'seriate_SGD.R'
-        'seriate_SPIN.R' 'seriate_VAT.R' 'seriate_best.R'
-        'seriate_enumerate.R' 'seriate_heatmap.R' 'seriate_identity.R'
-        'seriate_random.R' 'seriate_reverse.R' 'seriate_spectral.R'
-        'seriate_vegan.R' 'uniscale.R'
+        'seriate_TSP.R' 'seriate_BEA.R' 'seriate_BK.R' 'seriate_CA.R'
+        'seriate_GSA.R' 'seriate_HC.R' 'seriate_LLE.R' 'seriate_MDS.R'
+        'seriate_Mean.R' 'seriate_PCA.R' 'seriate_QAP.R'
+        'seriate_R2E.R' 'seriate_SGD.R' 'seriate_SPIN.R'
+        'seriate_VAT.R' 'seriate_best.R' 'seriate_enumerate.R'
+        'seriate_heatmap.R' 'seriate_identity.R' 'seriate_random.R'
+        'seriate_reverse.R' 'seriate_spectral.R' 'seriate_vegan.R'
+        'uniscale.R'
 NeedsCompilation: yes
-Packaged: 2024-08-19 15:46:46 UTC; hahsler
+Packaged: 2024-12-05 17:58:49 UTC; hahsler
 Author: Michael Hahsler [aut, cre, cph]
     (<https://orcid.org/0000-0003-2716-1405>),
   Christian Buchta [aut, cph],
@@ -74,4 +75,4 @@
   Stephanie Stahl [ctb, cph]
 Maintainer: Michael Hahsler <mhahsler@lyle.smu.edu>
 Repository: CRAN
-Date/Publication: 2024-08-19 16:50:02 UTC
+Date/Publication: 2024-12-05 18:40:01 UTC

=== debian/changelog ===
r-cran-seriation (1.5.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Tue, 28 Jan 2025 11:36:10 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-seriation
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-seriation.git
 Homepage: https://cran.r-project.org/package=seriation
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-dbscan,
        r-cran-dendextend,
        r-cran-doparallel,
        r-cran-ggplot2,
        r-cran-rtsne,
        r-cran-scales,
        r-cran-testthat
Restrictions: allow-stderr

## r-cran-seriation 1.5.8

=== debian/changelog ===
r-cran-seriation (1.5.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 07 Jan 2026 17:12:54 +0900

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,9 @@
 Source: r-cran-seriation
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-seriation
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-seriation.git
-Homepage: https://cran.r-project.org/package=seriation
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -20,8 +16,14 @@
                r-cran-qap,
                r-cran-registry,
                r-cran-tsp,
-               r-cran-vegan
-Testsuite: autopkgtest-pkg-r
+               r-cran-vegan,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-seriation
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-seriation.git
+Homepage: https://cran.r-project.org/package=seriation
+Rules-Requires-Root: no
 
 Package: r-cran-seriation
 Architecture: any
